Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.secure.internal
Class JACCPreLoadEventListener

    java.lang.Object
      org.hibernate.secure.internal.JACCPreLoadEventListener

All Implemented Interfaces:
  Serializable, PreLoadEventListener, JACCSecurityListener

    public class JACCPreLoadEventListener

extends Object
implements PreLoadEventListener, JACCSecurityListener

Check security before any load

See Also:
  Serialized Form

Constructor Summary
`JACCPreLoadEventListener(String contextId)`

Method Summary
`void` | `onPreLoad(PreLoadEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JACCPreLoadEventListener

    public JACCPreLoadEventListener(String contextId)

Method Detail

### onPreLoad

    public void onPreLoad(PreLoadEvent event)

  Specified by:
    `onPreLoad` in interface `PreLoadEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.